apiVersion: apps/v1
kind: Deployment
metadata:
  name: docflow-collab
  namespace: edoc2
  labels:
    app: docflow-collab
    k8s-app: docflow-collab
spec:
  selector:
    matchLabels:
      app: docflow-collab
  replicas: 1
  revisionHistoryLimit: 5
  template:
    metadata:
      labels:
        app: docflow-collab
    spec:
      hostname: docflow-collab
      terminationGracePeriodSeconds: 30
      containers:
      - name: collab
        image: registry.edoc2.com:5000/edoc2v5/docflow-collab:docflow-v2.11.2
        imagePullPolicy: IfNotPresent
        envFrom:
        - configMapRef:
            name: mid-envfile
        - configMapRef:
            name: ecm-envfile
        - configMapRef:
            name: docflow-envfile
        securityContext:
          privileged: true
        ports:
        - containerPort: 80
          name: docflow-collab
          protocol: TCP
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: docflow-collab
  name: docflow-collab
  namespace: edoc2
spec:
  ports:
  - name: docflow-collab
    port: 80
    targetPort: 80
    protocol: TCP
  selector:
    app: docflow-collab
  type: ClusterIP
